2018-03-18 09:15 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000306Cheat Enginepublic2014-02-13 06:54
Assigned ToDark Byte 
Summary0000306: CE 6.3 - Error in AOB scan instruction is not detected
DescriptionTry this:
aobscan(aobText,process.exe,03 FA 89 7C 24 10 D8 95)

This is accepted when the code is added to the table - no error is thrown.
There's no error when the script is enabled, either.
As a result, code in the script is injected at the wrong address, causing a crash.

Thanks for fixing.
TagsNo tags attached.
Attached Files




Csimbi (reporter)

I made a typo like this (the closing bracket is an underline, see last char):
aobscanmodule(aobText,process.exe,03 FA 89 7C 24 10 D8 95_
and there was no error on this, either.


Dark Byte (developer)

the aobscanmodule is an error, but the first one is more a "feature"
anything that isn't a valid hexadecimal work gets converted into a wildcard, and comma's are allowed as word separators for aob's

it parses it into this:
* 03 FA 89 7C 24 10 D8 95

-Issue History
Date Modified Username Field Change
2013-11-24 01:10 Csimbi New Issue
2013-11-24 08:47 Csimbi Note Added: 0000639
2014-02-13 06:54 Dark Byte Note Added: 0000656
2014-02-13 06:54 Dark Byte Status new => resolved
2014-02-13 06:54 Dark Byte Resolution open => fixed
2014-02-13 06:54 Dark Byte Assigned To => Dark Byte
+Issue History